#

API Docs for: 0.6.0
Show: Inherited Protected Private Deprecated

# PointToPointConstraint Class

Extends Constraint
Defined in: `src/constraints/PointToPointConstraint.js:6`

Connects two bodies at given offset points.

## Constructor

### `PointToPointConstraint`

(

- `bodyA`
- `pivotA`
- `bodyB`
- `pivotB`
- `maxForce`

)

Defined in `src/constraints/PointToPointConstraint.js:6`

#### Parameters:

- `bodyA` Body
- `pivotA` Vec3

  The point relative to the center of mass of bodyA which bodyA is constrained to.

- `bodyB` Body

  Body that will be constrained in a similar way to the same point as bodyA. We will therefore get sort of a link between bodyA and bodyB. If not specified, bodyA will be constrained to a static point.

- `pivotB` Vec3

  See pivotA.

- `maxForce` Number

  The maximum force that should be applied to constrain the bodies.

#### Example:

    var bodyA = new Body({ mass: 1 });
    var bodyB = new Body({ mass: 1 });
    bodyA.position.set(-1, 0, 0);
    bodyB.position.set(1, 0, 0);
    bodyA.addShape(shapeA);
    bodyB.addShape(shapeB);
    world.addBody(bodyA);
    world.addBody(bodyB);
    var localPivotA = new Vec3(1, 0, 0);
    var localPivotB = new Vec3(-1, 0, 0);
    var constraint = new PointToPointConstraint(bodyA, localPivotA, bodyB, localPivotB);
    world.addConstraint(constraint);

- Index
- Methods
- Properties

## Item Index

### Methods

- update

### Properties

- bodyA
- bodyB
- collideConnected
- equations
- id

## Methods

### `update`

()

Inherited from Constraint: `src/constraints/Constraint.js:58`

## Properties

### `bodyA`

Body

Inherited from Constraint: `src/constraints/Constraint.js:26`

### `bodyB`

Body

Inherited from Constraint: `src/constraints/Constraint.js:31`

### `collideConnected`

Boolean

Inherited from Constraint: `src/constraints/Constraint.js:41`

Set to true if you want the bodies to collide when they are connected.

### `equations`

Array

Inherited from Constraint: `src/constraints/Constraint.js:19`

Equations to be solved in this constraint

### `id`

Number

Inherited from Constraint: `src/constraints/Constraint.js:36`